Get Library Forms

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/zipform-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "ZipForm API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/zipform-api/mcp"
  }
}

Close
GET /libraries/{libraryId}/{libraryName}/{libraryVersion}

Returns the list of forms available in a specific library. Since this method is about forms, contentType always has a value of form in the response.

Path parameters

  • libraryId string Required

    Library ID

  • libraryName string Required

    Library Name

  • libraryVersion string Required

    Library Version

Query parameters

  • page integer
  • pagesize integer
  • orderby string

    Values are name or ContentType.

  • sortorder string

    Values are asc or desc.

Responses

  • 200 application/json

    Library forms returned successfully

    Hide response attribute Show response attribute object
    • value array[object]
      Hide value attributes Show value attributes object
      • id string

        Document ID or Form GUID

      • name string
      • description string
      • contentType string

        form, PDF, doc, etc.

      • version string
      • signed integer

        0=not signed, 1=Docusign, 2=zipLogix Digital Ink, 3=zipLogix Digital Ink TouchSign

      • size integer

        Size in bytes (0 for forms)

  • 401

    Unauthorized

  • 404

    Library not found

GET /libraries/{libraryId}/{libraryName}/{libraryVersion}
curl \
 --request GET 'https://api.pre.zipformplus.com/api/libraries/{libraryId}/{libraryName}/{libraryVersion}' \
 --header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
  "value": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "contentType": "string",
      "version": "string",
      "signed": 42,
      "size": 42
    }
  ]
}